%define srcName memoir

Name: tetex-latex-%srcName
Version: 1.618033p5.1
Release: alt1
Summary: Featured LaTeX class for typesetting fiction, non-fiction and mathematical books
Summary(ru_RU.UTF-8): Класс LaTeX для набора поэзии, прозы, технической и математической литературы
License: LPPL (LaTeX Project Public License)
Group: Publishing
Url: http://www.ctan.org/tex-archive/macros/latex/contrib/memoir/
Packager: Kirill Maslinsky <kirill@altlinux.org>

BuildArch: noarch

Requires: tetex-core tetex-latex

Source0: %srcName-%version.tar.bz2

# Automatically added by buildreq on Tue Sep 04 2007
BuildRequires: tetex-latex

%description
Memoir class is for typesetting poetry, fiction, non-fiction,
and mathematical works.

The normal font sizes range from 9 to 17pt.  There is a range of
page-styles and well over a dozen chapter-styles to choose from
and methods for specifying your own layouts and designs.  The
class encompasses over thirty of the more popular packages.

The class has an associated patch file
mempatch, which is automatically
loaded by the class itself, but which is updated from time to
time, between releases of the class itself.

Users who wish to use the hyperref
package, in a document written with the memoir class, should also
use the memhfixc package.

%description -l ru_RU.UTF-8
LaTeX-класс memoir предназначен для набора поэзии, прозы, 
технической и математической литературы.

Кегль основного шрифта может варьироваться от 9 до 17 пунктов.
Класс включает набор стилей оформления страницы и заголовков глав,
из которых можно выбрать, а также богатый инструментарий для
модификации и определения собственного оформления. 
Функциональность класса покрывает более тридцати популярных пакетов.

Вместе с классом распространяется файл модификаций mempatch,
который загружается автоматически при загрузке класса, однако
время от веремени может обновляться отдельно между обновлениями версий самого класса.

Тем пользователям, которые хотят использовать пакет hyperref в документах,
набранных в классе memoir, необходимо подключить пакет memfixc.

%prep
%setup -q -n %srcName-%version
rm -vf memoir.cls

%build
latex memoir.ins
latex memoir.dtx
makeindex -s gind.ist memoir
latex memoir.dtx
latex mempatch.dtx
makeindex -s gind.ist mempatch
latex mempatch.dtx


%install
mkdir -p %buildroot%_datadir/texmf/tex/latex/%srcName
mkdir -p %buildroot%_datadir/texmf/makeindex/%srcName
install -pD -m644 memoir.cls mem*.clo mem*.sty %buildroot%_datadir/texmf/tex/latex/%srcName/
install -pD -m644 memman.ist memman.gst basic.gst %buildroot%_datadir/texmf/makeindex/%srcName

%post
[ -x %_bindir/texhash ] && %_bindir/texhash 2>/dev/null ||:

%postun
[ -x %_bindir/texhash ] && %_bindir/texhash 2>/dev/null ||:

%files
%_datadir/texmf/tex/latex/%srcName/
%_datadir/texmf/makeindex/%srcName/
%doc README memman.tex memman.pdf memoir.dvi mempatch.dvi memnoidxnum.tex anvil2.mps

%changelog
* Fri Jul 04 2008 Kirill Maslinsky <kirill@altlinux.org> 1.618033p5.1-alt1
- new stable version for "considerable period of time" (Peter Wilson)
- added documented source (memoir.dvi, mempatch.dvi)

* Thu Jan 17 2008 Kirill Maslinsky <kirill@altlinux.org> 1.618p4.9a-alt1
- Updated to upstream patched version 4.9a

* Tue Sep 04 2007 Kirill Maslinsky <kirill@altlinux.ru> 1.618p4.8-alt1
- Initial build for Sisyphus
  (thanks Grigory Batalov for the initial draft of this package)

